# MD5-SHA-Checksum-Utility


## ❓ Overview
MD5-SHA-Checksum-Utility is a user-friendly graphical tool designed to calculate and verify MD5, SHA-1, SHA-256, and SHA-512 checksums. The tool features a clean GUI with drag-and-drop file support, copy-to-clipboard functionality, and the ability to save results to a file.

## 💪 Features

- Drag and Drop Support: Easily drag files into the application to calculate checksums.
- Multiple Hash Algorithms: Supports MD5, SHA-1, SHA-256, and SHA-512.
- Copy to Clipboard: Quickly copy checksum results to the clipboard.
- Save Results: Save checksum results to a text file.
- Verify Hashes: Verify the integrity of files by comparing generated and provided hashes.

## ✅ Screenshots

![App Screenshot](https://github.com/user-attachments/assets/e4db83e3-2895-4687-93ad-8e5c9b6d0bc0)

![App Screenshot](https://github.com/user-attachments/assets/ebe59930-4a7b-49aa-a425-9761bdd04e07)

## 🔽 Download
 You can download the most recent version of the tool, including the executable, [here](https://github.com/oop7/MD5-SHA-Checksum-Utility/releases)
 
## ⚙️  Installation

# Install Required Packages
Ensure you have Python installed. Install required packages using pip:
```bash
pip install PyQt5
```

## 💻 Usage

 Run the application by double-clicking the executable or using Python:`python checksum_utility.py`
 
# 🛠️  How to Use

1. Open File: Click the "Browse" button to select a file, or drag and drop a file into the entry field.
2. Generate Checksums: The tool will automatically calculate and display the MD5, SHA-1, SHA-256, and SHA-512 checksums.
3. Copy Checksums: Use the "Copy" buttons to copy any checksum to the clipboard.
4. Save Results: Click the "Save Results" button to save the checksums to a text file.
5. Verify Hash: Enter a hash in the "Hash" field and click "Verify" to check against the generated hashes.

## 📜 License

This project is licensed under the MIT License - see the [LICENSE](https://github.com/oop7/MD5-SHA-Checksum-Utility/blob/main/LICENSE) file for details.

## 📙 Contributing
Contributions are welcome! Please open an issue or submit a pull request for any improvements or bug fixes.




